rc_get_srcaddr(3)

NAME
rc_get_srcaddr - Find outbound interface address for a given destination.

SYNOPSIS
#include <radcli/>

int rc_get_srcaddr(
    struct sockaddr        *lia,
    const struct sockaddr  *ria
);

DESCRIPTION

Given remote address find local address which the system will use as a source address for sending datagrams to that remote address.

PARAMETERS

lia local address.

ria the remote address.

RETURN VALUE

OK_RC on success. NETUNREACH_RC if network is unreachable (i.e. no route to destination). ERROR_RC for all other failures. Address is filled into the first argument.

SEE ALSO

rc_getport(3), rc_openlog(3), rc_own_hostname(3), rc_setdebug(3)